Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver Class Reference

Implementation of Permissions Criterion Resolver. More...

Inheritance diagram for eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver:

## Public Member Functions
| __construct (PermissionResolverInterface $permissionResolver, LimitationService $limitationService)
| Constructor. More...
Public Member Functions inherited from eZ\Publish\API\Repository\PermissionCriterionResolver
| getPermissionsCriterion ($module, $function, ?array $targets=null)
| Get criteria representation for a permission. More...

## Private Member Functions
| getCriterionForLimitation (Limitation $limitation, UserReference $currentUserRef, ?array $targets)

## Private Attributes
| $permissionResolver
| $limitationService

## Detailed Description

Implementation of Permissions Criterion Resolver.

Definition at line 23 of file Core/Repository/Permission/PermissionCriterionResolver.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver::__construct | ( | PermissionResolverInterface | $permissionResolver,
|  | LimitationService | $limitationService
| ) |  |

Constructor.

Parameters

  \eZ\Publish\API\Repository\PermissionResolver | $permissionResolver |
  \eZ\Publish\Core\Repository\Helper\LimitationService | $limitationService |

Definition at line 37 of file Core/Repository/Permission/PermissionCriterionResolver.php.

References eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver\$limitationService, and eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver\$permissionResolver.

## Member Function Documentation

## ◆ getCriterionForLimitation()

eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver::getCriterionForLimitation | ( | Limitation | $limitation,
|  | UserReference | $currentUserRef,
|  | ?array | $targets
| ) |  |
| private

Parameters

  \eZ\Publish\API\Repository\Values\User\Limitation | $limitation |
  \eZ\Publish\API\Repository\Values\User\UserReference | $currentUserRef |
  array | null | $targets |

Returns
  \eZ\Publish\API\Repository\Values\Content\Query\CriterionInterface|\eZ\Publish\API\Repository\Values\Content\Query\Criterion\LogicalOperator

Definition at line 144 of file Core/Repository/Permission/PermissionCriterionResolver.php.

References eZ\Publish\API\Repository\Values\User\Limitation\getIdentifier().

## Member Data Documentation

## ◆ $limitationService

eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver::$limitationService
| private

Definition at line 29 of file Core/Repository/Permission/PermissionCriterionResolver.php.

Referenced by eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver\__construct().

## ◆ $permissionResolver

eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver::$permissionResolver
| private

Definition at line 26 of file Core/Repository/Permission/PermissionCriterionResolver.php.

Referenced by eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver\__construct().

The documentation for this class was generated from the following file:

- Core/Repository/Permission/PermissionCriterionResolver.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.